function [] = createSoundsourceColorsPanel()
%CREATESOUNDSOURCECOLORSPANEL Summary of this function goes here
%   Detailed explanation goes here


global artoaGui artoaWorkspace;

width = .14;

artoaGui.editTimeOfArrival.frameControlsSoundSourceColors = uipanel( ...
    'Parent', artoaGui.figures.editTimeOfArrival, ...
    'Title', 'Soundsource colors', ...
    'Units', 'normalized', ...
    'BackgroundColor', 'white', ...
    'Position', [.01 .3 width .6] ...
);

% add label and color for every sound source that is available
spaceTopAndBottom = .05;
leftItemOffset = 0;
rightItemOffset = 0;

artoaGui.editTimeOfArrival.labelSoundsourcesColors = struct();
soundsources = artoaWorkspace.filteredSoundsources;
fnames = fieldnames(soundsources);

isLeftItem = true;

for i = 1:length(fnames)
    if isLeftItem
        offset = leftItemOffset;
        marginLeft = 0;
        leftItemOffset = leftItemOffset + 0.04;
        isLeftItem = false;
    else
        offset = rightItemOffset;
        marginLeft = .5;
        rightItemOffset = rightItemOffset + 0.04;
        isLeftItem = true;
    end
    artoaGui.editTimeOfArrival.labelSoundsourcesColors.(fnames{i}) = uicontrol( ...
        'Parent', artoaGui.editTimeOfArrival.frameControlsSoundSourceColors, ...
        'String', '', ...
        'Style', 'text', ...
        'FontSize', 8, ...
        'Units', 'normalized', ...
        'Position', [(marginLeft + .1) (1 - spaceTopAndBottom - offset) .1 .03], ...
        'Background', artoaWorkspace.soundsourceColors(i, :) ...
    );
    artoaGui.editTimeOfArrival.labelSoundsourcesColors.([fnames{i} 'c']) = uicontrol( ...
        'Parent', artoaGui.editTimeOfArrival.frameControlsSoundSourceColors, ...
        'String', fnames{i}, ...
        'Style', 'text', ...
        'FontSize', 8, ...
        'Units', 'normalized', ...
        'Position', [(marginLeft + .25) (1 - spaceTopAndBottom - offset) .3 .03], ...
        'Background', [1 1 1], ...
        'HorizontalAlignment', 'left' ...
    );
    
end

end

