function [] = plotAppliedSoundsources()
%PLOTAPPLIEDSOUNDSOURCES Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace artoaGui;

%% Initialize required variables
x = [];
y = [];
c = [];

%% Plot sound sources


fnames = fieldnames(artoaWorkspace.filteredSoundsources);
for i = 1:length(fnames)
    selection = logical(artoaWorkspace.toaData.status == 1) ...
        & logical(strcmp(artoaWorkspace.toaData.soundSource, fnames{i}));
    x = [x; artoaWorkspace.toaData.toaDate(selection)];
    y = [y; artoaWorkspace.toaData.toa(selection)];
    c = [c; repmat(artoaWorkspace.soundsourceColors(i, :), length(artoaWorkspace.toaData.toaDate(selection)), 1)];
end

%% If the plot exists, just update the values

if isfield(artoaGui.editTimeOfArrival, 'scatterAppliedSoundsources') ...
        && isvalid(artoaGui.editTimeOfArrival.scatterAppliedSoundsources)
    artoaGui.editTimeOfArrival.scatterAppliedSoundsources.XData = x;
    artoaGui.editTimeOfArrival.scatterAppliedSoundsources.YData = y;
    artoaGui.editTimeOfArrival.scatterAppliedSoundsources.CData = c;
    return;
end

artoaGui.editTimeOfArrival.axesAppliedSoundsources = axes(artoaGui.figures.editTimeOfArrival);

hold(artoaGui.editTimeOfArrival.axesAppliedSoundsources, 'on');

artoaGui.editTimeOfArrival.scatterAppliedSoundsources = scatter( ...
    artoaGui.editTimeOfArrival.axesAppliedSoundsources, ...
    x, y, [], c, 'filled' ...
);

hold(artoaGui.editTimeOfArrival.axesAppliedSoundsources, 'off');

end

