function [] = loadArtoaIni()
%RELOADARTOAINI Loads the artoa.ini file and copies the required values to workspace.
%   

global artoaDataInput artoaWorkspace;

try
    artoaDataInput.ini = artoa.load.tomlini('artoa.ini');
    artoaWorkspace.soundsourceColors = artoaDataInput.ini.soundsourcecolors./255;
catch ex
    error([mfilename ': Reading artoa.ini failed with the following message: ' ex.message]);
end

if isempty(artoaDataInput.ini)
    error([mfilename ': artoa.ini has been found but is empty. Please use a valid artoa.ini!']);
end

artoa.controller.edit.timeOfArrival.plot();


end

